//@import "~antd/lib/notification/style/index";
@import "../../../theme/default";

@notification-width: 384px;
@notification-padding-vertical: 16px;
@notification-padding-horizontal: 24px;
@notification-padding: @notification-padding-vertical @notification-padding-horizontal;
@notification-margin-bottom: 16px;

.ant-notification-notice {
  border-left: 5px solid;
}

// .notification-fade-effect {
//   animation-duration: 0.5s;
//   animation-fill-mode: both;
//   animation-timing-function: @ease-in-out;
// }

// .ant-notification {
//   &-fade-leave {
//     .notification-fade-effect();
//     animation-duration: 0.5s;
//     animation-play-state: paused;
//   }
//   &-fade-leave&-fade-leave-active {
//     animation-name: MyNotificationFadeOut;
//     animation-play-state: running;
//   }
// }

.notice {
  &-info {
    border-color: @info-color;
    .ant-notification-notice-message {
      color: @info-color;
    }
  }
  &-warning {
    border-color: @warning-color;
    .ant-notification-notice-message {
      color: @warning-color;
    }
  }
  &-success {
    border-color: @success-color;
    .ant-notification-notice-message {
      color: @success-color;
    }
  }
  &-error {
    border-color: @error-color;
    .ant-notification-notice-message {
      color: @error-color;
    }
  }
}

// @keyframes MyNotificationFadeOut {
//   0% {
//     opacity: 1;
//     right: 0;
//     margin-bottom: @notification-margin-bottom;
//     padding-top: @notification-padding;
//     padding-bottom: @notification-padding;
//     max-height: 150px;
//   }
//   100% {
//     right: -@notification-width;
//     opacity: 0;
//     max-height: 0;
//     margin-bottom: 0;
//     padding-top: 0;
//     padding-bottom: 0;
//   }
// }

